Expand my Community achievements bar.

Radically easy to access on brand approved content for distribution and omnichannel performant delivery. AEM Assets Content Hub and Dynamic Media with OpenAPI capabilities is now GA.

FormCalc Error

Avatar

Former Community Member
Hi,



I uses Adobe LiveCycle Designer 7.0(English Version) on Windows XP Professional(Japanese Version). Viewer is Adobe Reader 7.0.8(Japanese Version).

And I downloaded the sample form from here.

www.adobe.com/devnet/livecycle/articles/

lc_designer_db_lookup_tip.pdf



But, it occurs error at FormCalc Script. Error message is

"Accessors "$sourceSet.DataConnection.#command.query.commandType"

is unknown".



Please tell me why it doesn't work.



Akira
5 Replies

Avatar

Former Community Member
At first glance, it looks like there's something wrong with the way you've setup the data connection to the Microsoft Access Database file (purchase.mdb).



Did you give it the name, "DataConnection"? You can check this by going to the Data View palette.



Stefan

Adobe Systems

Avatar

Former Community Member
You can't connect to a database from a PDF displayed in Reader unless the form has had special usage rights applied to it using LiveCycle Reader Extensions (a seperate server product). If you use Acrobat instead of Reader it will work fine.



Chris

Adobe Enterprise Developer Support

Avatar

Former Community Member
That's right -- I had forgotten about the gotcha with Reader (if that's what Akira has been using to test the form).



By the way, with Reader Extensions, is it possible to extend the form to enable data import just for connections to a database, WSDL or XML Data File (i.e. only one of them) or do you RE the form to allow any of them?



Stefan

Adobe Systems

Avatar

Former Community Member
XML Data file can be enabled seperately from the other two. But WSDL/DB are enabled correct. This applies to the current version, I think in older versions (ie: pre=7) all three were enabled together.



Chris

Adobe Enterprise Developer Support

Avatar

Former Community Member
Chris, Stefan,



I use Adobe Reader 7.0.8 and can't connect Reader Extension Server now because of some network issues.

Soon I can connet RE Server, I will try this form again.



Thank you and regards,



Akira